<?php
function upd_mysql()
{
require('../cfg/res.php');
mysql_query("SET NAMES 'utf8'");
?>

<script type="text/javascript">
function redireccionar(updtipo) 
{
//var updtipo=document.getElementById('fecha1');.value;
pagina="?opt=<?php echo $_GET['opt']?>&updtipo="+updtipo;
if (confirm('Actualizar : ' +updtipo))
{
location.href=pagina;
}

} 
</script>

<?php 
$filax=1;
$xupdtipo = $_GET['updtipo'];
?>


<div style=" max-height:600px; overflow-y:scroll; margin-top:5px;">
<table id="tabla" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">

<tr align="center" valign="top">
<th>
<input type="button" value="T.Maestras" onclick="redireccionar('M');"  />
</th>

<th>
<input type="button" value="T.Transacciones" onclick="redireccionar('T');"  />
<th>

<th>
<input type="button" value="Vistas" onclick="redireccionar('V');"  />
</th>

<th>
<input type="button" value="Procedimientos" onclick="redireccionar('P');"  />
</th>

</tr>

</table>
</div>


<div style=" max-height:450px; overflow-y:scroll; margin-top:5px;">
<?php
$filax=1;
if ($xupdtipo=='M')
	{
	upd_tabla0('user','13');
	upd_tabla0('usrt','13');
	
	upd_tabla0('empr','4');
	upd_tabla0('ctas','12');
	upd_tabla0('enti','13');
	upd_tabla0('item','13');
	upd_tabla0('agnt','4');
	upd_tabla0('cour','4');

	upd_tabla0('mtvo','6');
	upd_tabla0('vhcl','7');
	upd_tabla0('plak','7');
	upd_tabla0('nave','6');
	upd_tabla0('bldn','30');
	upd_tabla0('cntn','11');
	upd_tabla0('vinn','17');
	upd_tabla0('sntr','15');
	upd_tabla0('tlfn','15');
	upd_tabla0('adrs','4');
	upd_tabla0('prmk','20');

	upd_tabla0('modu','4');
	upd_tabla0('docu','4');
	upd_tabla0('atrz','10');
//*	upd_tabla0('atrz','37');
	upd_tabla0('at02','2');
	upd_tabla0('at03','2');
	upd_tabla0('at10','4');
	upd_tabla0('cret','4');




	upd_tabla0('ppcd','11');
	upd_tabla0('pais','4');
	upd_tabla0('prvc','2');
	upd_tabla0('cdad','6');
	upd_tabla0('port','9');
	upd_tabla0('bcos','4');

	upd_tabla0('stat','2');
//*if !'JAGO'$g_empr
//*	upd_tabla0('prdo','4')
//*endif
//*	upd_tabla0('frds','8')

	upd_tabla0('caja','4');
	upd_tabla0('ctab','4');
	upd_tabla0('bode','4');
	upd_tabla0('ubik','4');
	upd_tabla0('mkna','4');
//*	upd_tabla0('prch','4');
	upd_tabla0('krgo','4');

	upd_tabla0('tpro','4');
	upd_tabla0('csub','9');
	upd_tabla0('zsub','9');
	upd_tabla0('lsub','9');
//*	upd_tabla0('bsub','9');
	upd_tabla0('zona','9');

	upd_tabla0('srie','6');
	upd_tabla0('ptov','4');
	upd_tabla0('ptoe','6');
	upd_tabla0('vndd','10');
	upd_tabla0('rcdd','10');
	upd_tabla0('mrca','4');
	upd_tabla0('mdlo','10');
	upd_tabla0('unid','4');
	upd_tabla0('umdd','4');
//*	upd_tabla0('cour','4');

	upd_tabla0('clor','6');
	upd_tabla0('tlla','2');
	upd_tabla0('tmno','2');
	upd_tabla0('kldd','6');
	
	
	

	}
?>


<?php
if ($xupdtipo=='V')
	{
	echo 'Actualizando Vistas';
	}
?>

</div>

<?php } ?>







<?php
function upd_tabla0($xtmaes,$xlongi)
{
$filax=1;
require('../cfg/res.php');	
mysql_query("SET NAMES 'utf8'");

?>
<table width="40%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">

<?php 
//echo $xtmaes;  
if (empty($xlongi))
{$xlongi='4';}

$sql_str='create table '.$xtmaes.'0('.$xtmaes.'_codigo varchar('.$xlongi.');not null)engine=innodb';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='alter table '.$xtmaes.'0 engine=innodb, default character set=latin1 collate=latin1_spanish_ci';
$res_sql=mysql_query($sql_str,$link_vcrx);

upd_fld($xtmaes.'0',$xtmaes.'_codigo','varchar('.$xlongi.');','');
upd_fld($xtmaes.'0',$xtmaes.'_descri','varchar(50)','');
upd_fld($xtmaes.'0',$xtmaes.'_tipo','varchar(4)','');
upd_fld($xtmaes.'0',$xtmaes.'_status','char(1)','-');
upd_fld($xtmaes.'0',$xtmaes.'_iuser','varchar(10)','');
upd_fld($xtmaes.'0',$xtmaes.'_idate','datetime','');
upd_fld($xtmaes.'0',$xtmaes.'_lused','date','');

$sql_str='alter table '.$xtmaes.'0 drop primary key';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='alter table '.$xtmaes.'0 add primary key('.$xtmaes.'_codigo)';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='drop index codigo on '.$xtmaes.'0 ';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='drop index descri on '.$xtmaes.'0 ';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='create unique index codigo on  '.$xtmaes.'0('.$xtmaes.'_codigo)';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='create index descri on  '.$xtmaes.'0('.$xtmaes.'_descri,'.$xtmaes.'_codigo)';
$res_sql=mysql_query($sql_str,$link_vcrx);

if (!mb_stristr('empr.user.usrt',$xtmaes))
	{
	$sql_str='insert into '.$xtmaes.'0('.$xtmaes.'_codigo,'.$xtmaes.'_descri)value("-","Default")';
	$res_sql=mysql_query($sql_str,$link_vcrx);
	
	}
	
if (mb_stristr('empr',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_numid','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ruc','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ruclelgal','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ruccontad','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_regcontad','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_lguia','int','');
	upd_fld($xtmaes.'0',$xtmaes.'_vcupo','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_bcupo','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_modi','smallint','');
	upd_fld($xtmaes.'0',$xtmaes.'_anul','smallint','');
	upd_fld($xtmaes.'0',$xtmaes.'_elim','smallint','');
	}
	
if (mb_stristr('user.usrt',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_codigo','int not null auto_increment first','');
	//$sql_str='alter table'.$xtmaes.'0 modify column '.$xtmaes.'_codigo int not null auto_increment first';
	//$res_sql=mysql_query($sql_str,$link_vcrx);
	
	upd_fld($xtmaes.'0',$xtmaes.'_tipo','varchar(4)','clie');

	upd_fld('user0','user_status','char(1)','1');
	upd_fld('usrt0','usrt_status','char(1)','0');

	upd_fld($xtmaes.'0',$xtmaes.'_cedula','varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_empresa','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nickname','varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_captcha','varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_solicita','char(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_clave','varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_cargo','varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_email','varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_telefono','varchar(15)','');
	upd_fld($xtmaes.'0',$xtmaes.'_caduca','date','');
	upd_fld($xtmaes.'0',$xtmaes.'_apuni','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_adcto','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_apvp','bit','');

	}

if (mb_stristr('docu',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_tabla','varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codnum','varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_srie','varchar(6)','');
	upd_fld($xtmaes.'0',$xtmaes.'_numero','int(9)','');
	upd_fld($xtmaes.'0',$xtmaes.'_autonum','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_autofec','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_desde','date','');
	upd_fld($xtmaes.'0',$xtmaes.'_hasta','date','');
	upd_fld($xtmaes.'0',$xtmaes.'_maxdeta','smallint(3)','');
	upd_fld($xtmaes.'0',$xtmaes.'_bakdeta','tinyint(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_copia','tinyint(1)','');

	upd_fld($xtmaes.'0',$xtmaes.'_apuni','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_adcto','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_apvp','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_vstock','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_bstock','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_vreser','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_breser','bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_dreser','smallint','');
	upd_fld($xtmaes.'0',$xtmaes.'_hoja','varchar(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_carr','varchar(1)','');

	upd_fld($xtmaes.'0',$xtmaes.'_ctadeb','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctacre','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctadcto','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaice','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaiva','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctairbp','varchar(13)','');
	}

if (mb_stristr('srie.ptoe',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_sucursal','varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_punto','varchar(20)','');
	}

if (mb_stristr('ctas',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_codigoc','varchar(12)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nec','varchar(12)','');
	upd_fld($xtmaes.'0',$xtmaes.'_niif','varchar(12)','');
	upd_fld($xtmaes.'0',$xtmaes.'_sri01','smallint(3)','');
	}

if (mb_stristr('enti',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_cedularuc','varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_pasaporte','varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_razsoc','varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nomcom','varchar(50)','');
	
	upd_fld($xtmaes.'0',$xtmaes.'_nickname', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_fechaini', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_direccion', 'varchar(250)','');
	upd_fld($xtmaes.'0',$xtmaes.'_pais', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_cdad', 'varchar(6)', '-');


	upd_fld($xtmaes.'0',$xtmaes.'_ape1', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ape2', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nom1', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nom2', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_sexo', 'tinyint(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_fechanac', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_conadis', 'int(13)','');

	upd_fld($xtmaes.'0',$xtmaes.'_cpostal', 'varchar(8)','');
	upd_fld($xtmaes.'0',$xtmaes.'_calle1', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_calle2', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_calle3', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_callen', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_telefono', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_fax', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_email', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_contacto', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_referidox', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'referidox', 'X','');

	upd_fld($xtmaes.'0',$xtmaes.'_codigoc', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codigop', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codigoe', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_clie', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_prov', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_empl', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_drtr', 'char(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaclie', 'varchar(12)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaprov', 'varchar(12)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaempl', 'varchar(12)','');

	upd_fld($xtmaes.'0',$xtmaes.'_tpro', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_pcesp', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_pcont', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_prise', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_struc', 'varchar(1)','');

//	upd_fld($xtmaes.'0',$xtmaes.'_actividad', 'varchar(50)','');

	upd_fld($xtmaes.'0',$xtmaes.'_zsub', 'varchar(9)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_vndd', 'varchar(10)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_rcdd', 'varchar(10)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_dcto', 'decimal(6,2)','');
	upd_fld($xtmaes.'0',$xtmaes.'_cupo', 'decimal(9,2)','');
	upd_fld($xtmaes.'0',$xtmaes.'_saldo', 'decimal(9,2)','');


	upd_fld($xtmaes.'0',$xtmaes.'_bcosctab', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_tipoctab', 'varchar(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_numectab', 'varchar(10)','');

	upd_fld($xtmaes.'0',$xtmaes.'_idweb', 'date','');
	

//	vrsqlexe(xsqlcnx, 'drop index cedularuc on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index cedularuc on ' +t_maes0+ '('+t_maes+'_cedularuc)');
//	vrsqlexe(xsqlcnx, 'drop index pasaporte on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index pasaporte on ' +t_maes0+ '('+t_maes+'_pasaporte)');
//	vrsqlexe(xsqlcnx, 'drop index codigoc on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index codigoc on ' +t_maes0+ '('+t_maes+'_codigoc)');
//	vrsqlexe(xsqlcnx, 'drop index codigop on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index codigop on ' +t_maes0+ '('+t_maes+'_codigop)');
//	vrsqlexe(xsqlcnx, 'drop index codigoe on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index codigoe on ' +t_maes0+ '('+t_maes+'_codigoe)');


//	=sqlex(xsqlcnx,'alter table enti0 alter column enti_drtr set default "0"');
//	=sqlex(xsqlcnx,'alter table enti0 alter column enti_zsub set default "GENE-GENE"');
	
	}

if (mb_stristr('item',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_puni', 'decimal(11,4)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_dcto', 'decimal(6,2)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_ice', 'decimal(5,2)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_iva', 'decimal(5,2)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_irbp', 'decimal(5,2)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_pvp1', 'decimal(11,4)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_pcp1', 'decimal(11,4)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_comi', 'decimal(5,2)','0');

	upd_fld($xtmaes.'0',$xtmaes.'_clie', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_prov', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_empl', 'bit','');
	upd_fld($xtmaes.'0',$xtmaes.'_hoja', 'char(1)','0');
	upd_fld($xtmaes.'0',$xtmaes.'_carr', 'char(1)','0');

	upd_fld($xtmaes.'0',$xtmaes.'_cret', 'varchar(3)','-');

//	upd_fld($xtmaes.'0',$xtmaes.'_bien', 'varchar(1)','1');
//	upd_fld($xtmaes.'0',$xtmaes.'_serv', 'varchar(1)','0');
//	*upd_fld($xtmaes.'0',$xtmaes.'_hono', 'varchar(1)','0');
//	*upd_fld($xtmaes.'0',$xtmaes.'_tran', 'varchar(1)','0');
//	*upd_fld($xtmaes.'0',$xtmaes.'_arre', 'varchar(1)','0');

	upd_fld($xtmaes.'0',$xtmaes.'_bien', 'X','');
	upd_fld($xtmaes.'0',$xtmaes.'_serv', 'X','');
	upd_fld($xtmaes.'0',$xtmaes.'_hono', 'X','');
	upd_fld($xtmaes.'0',$xtmaes.'_tran', 'X','');
	upd_fld($xtmaes.'0',$xtmaes.'_arre', 'X','');

	upd_fld($xtmaes.'0',$xtmaes.'_ean', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codigov', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codigoc', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codigop', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_lsub', 'varchar(9)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_mrca', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_mdlo', 'varchar(10)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_modelo', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_numpart', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_pais', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_provee', 'varchar(13)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_ubik', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_umdd', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_medida', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_mdda', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_tmno', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_tlla', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_clor', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_kldd', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_dmtr', 'varchar(10)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_duni', 'char(1)', '0');
	upd_fld($xtmaes.'0',$xtmaes.'_dval', 'char(1)', '2');

	upd_fld($xtmaes.'0',$xtmaes.'_envase', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codxunid', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_unixpack', 'mediumint(6)','');

	upd_fld($xtmaes.'0',$xtmaes.'_ctadcto', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaice', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctaiva', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctairbp', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctavtas', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctacomp', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctainve', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ctanomi', 'varchar(13)','');

	upd_fld($xtmaes.'0',$xtmaes.'_at04', 'varchar(3)','');
	upd_fld($xtmaes.'0',$xtmaes.'_at06', 'varchar(3)','');
	upd_fld($xtmaes.'0',$xtmaes.'_at10', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_codret', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice04', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice05', 'varchar(2)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice06', 'varchar(6)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice07', 'varchar(3)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice08', 'varchar(6)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice09', 'varchar(2)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice10', 'varchar(3)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ice11', 'varchar(6)','');

//*	upd_fld($xtmaes.'0',$xtmaes.'_nctlg', 'int(4)','');
//*	upd_fld($xtmaes.'0',$xtmaes.'_pctlg', 'int(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nctlg', 'smallint(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_pctlg', 'smallint(4)','');

	upd_fld($xtmaes.'0',$xtmaes.'_idweb', 'date','');

//	vrsqlexe(xsqlcnx, 'drop index ean on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index ean on ' +t_maes0+ '('+t_maes+'_ean)');
//	vrsqlexe(xsqlcnx, 'drop index codigov on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index codigov on ' +t_maes0+ '('+t_maes+'_codigov)');
//	vrsqlexe(xsqlcnx, 'drop index codigoc on ' +t_maes0)
//	vrsqlexe(xsqlcnx, 'create index codigoc on ' +t_maes0+ '('+t_maes+'_codigoc)');
//
//	=sqlex(xsqlcnx,'alter table item0 alter column item_lsub set default "GENE-GENE"');
//	=sqlex(xsqlcnx,'insert into item0(item_codigo,item_descri)value("100000","ITEMS")');


	}


if (mb_stristr('ctab',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_ctacont', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_bcos', 'varchar(4)','');
	}

if (mb_stristr('atrz',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_entidad', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_serie', 'varchar(6)','');
	upd_fld($xtmaes.'0',$xtmaes.'_srie', 'varchar(6)','');
	upd_fld($xtmaes.'0',$xtmaes.'_desde', 'int(9)','');
	upd_fld($xtmaes.'0',$xtmaes.'_hasta', 'int(9)','');
	upd_fld($xtmaes.'0',$xtmaes.'_caduca', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_docu', 'varchar(2)','');
	upd_fld($xtmaes.'0',$xtmaes.'_claveacc', 'varchar(49)','');
	upd_fld($xtmaes.'0',$xtmaes.'_atrznume', 'varchar(37)','');
	upd_fld($xtmaes.'0',$xtmaes.'_atrzfech', 'varchar(16)','');
	}

if (mb_stristr('zsub',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_vndd', 'varchar(10)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_rcdd', 'varchar(10)', '-');
	}


if (mb_stristr('lsub',$xtmaes))	
	{}

if (mb_stristr('lote',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_fabric', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_caduca', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_costo', 'decimal(13,4)','');
	}


if (mb_stristr('port',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_pais', 'varchar(4)', '-');
	}

if (mb_stristr('cntn',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_idweb', 'date','');
	}

if (mb_stristr('bldn',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_master', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_house', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_booking', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_cntn', 'varchar(11)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_consigna', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_agnt', 'varchar(13)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_nave1', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_nave2', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_viaje', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_job', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_port1', 'varchar(9)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_port2', 'varchar(9)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_fecha1', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_fecha2', 'date','');
	upd_fld($xtmaes.'0',$xtmaes.'_peso', 'decimal(13,2)','');
	upd_fld($xtmaes.'0',$xtmaes.'_carga', 'varchar(30)','');

	upd_fld($xtmaes.'0',$xtmaes.'_idweb', 'date','');

	}

if (mb_stristr('vhcl',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_placa', 'varchar(8)','');
	upd_fld($xtmaes.'0',$xtmaes.'_vinn', 'varchar(17)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_motor', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_cilindro', 'smallint(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_pais', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_clase', 'varchar(4)','');

	upd_fld($xtmaes.'0',$xtmaes.'_mrca', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_mdlo', 'varchar(10)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_anio', 'smallint(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_clor', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_clor2', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_conductor', 'varchar(30)','');

	upd_fld($xtmaes.'0',$xtmaes.'_idweb', 'date','');
	
	}

if (mb_stristr('sntr',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_seguro', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_poliza', 'varchar(7)','');
	upd_fld($xtmaes.'0',$xtmaes.'_vhcl', 'varchar(7)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_entrega', 'varchar(30)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ejecutivo', 'varchar(30)','');
	}

if (mb_stristr('tlfn.adrs',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_codigo','int(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_sucursal','X','');
	upd_fld($xtmaes.'0',$xtmaes.'_defa','char(1)','');
	upd_fld($xtmaes.'0',$xtmaes.'_enti', 'varchar(13)','');
	upd_fld($xtmaes.'0',$xtmaes.'_suc','varchar(3)','');
	upd_fld($xtmaes.'0',$xtmaes.'_area', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_tlfn', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ext', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_nombre', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_contacto', 'varchar(30)','');
	upd_fld($xtmaes.'0',$xtmaes.'_direccion', 'varchar(100)','');
	upd_fld($xtmaes.'0',$xtmaes.'_opera', 'varchar(4)','');
	upd_fld($xtmaes.'0',$xtmaes.'_ciudad', 'varchar(20)','');
	upd_fld($xtmaes.'0',$xtmaes.'_pais', 'varchar(6)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_cdad', 'varchar(6)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_cpostal', 'varchar(10)','');
	upd_fld($xtmaes.'0',$xtmaes.'_calle1', 'varchar(15)','');
	upd_fld($xtmaes.'0',$xtmaes.'_calle2', 'varchar(15)','');
	upd_fld($xtmaes.'0',$xtmaes.'_callen', 'varchar(15)','');
	upd_fld($xtmaes.'0',$xtmaes.'_calle3', 'varchar(15)','');
	upd_fld($xtmaes.'0',$xtmaes.'_email', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_cntnombre', 'varchar(50)','');
	upd_fld($xtmaes.'0',$xtmaes.'_cntdirecc', 'varchar(50)','');

	upd_fld($xtmaes.'0',$xtmaes.'_idweb', 'date','');

	//=sqlex(xsqlcnx,'alter table '+t_maes0+' modify column '+t_maes+'_codigo int not null auto_increment first');
	
	}

if (mb_stristr('mken',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_enti', 'varchar(13)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_mrca', 'varchar(4)', '-');
	}

if (mb_stristr('mdlo',$xtmaes))
	{
	upd_fld($xtmaes.'0',$xtmaes.'_enti', 'varchar(13)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_mrca', 'varchar(4)', '-');
	upd_fld($xtmaes.'0',$xtmaes.'_anio', 'varchar(4)', '-');
	}

//sqle(xsqlcnx,'insert into stat0(stat_codigo,stat_descri)value("-","NUEVO")');
//sqle(xsqlcnx,'update docu0 set docu_tabla="CLIE", docu_tipo="CLIE" where docu_codigo like "OP%"');






?>

</table>

<?php
}
?>




<?php
function upd_tabla1($xttran)
{
$filax=1;
require('../cfg/res.php');	
mysql_query("SET NAMES 'utf8'");

?>
<table width="40%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">

<?php 
//echo $xtmaes;  
if (empty($xlongi))
{$xlongi='4';}

$sql_str='create table '.$xtmaes.'0('.$xtmaes.'_codigo varchar('.$xlongi.');not null)engine=innodb';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='alter table '.$xtmaes.'0 engine=innodb, default character set=latin1 collate=latin1_spanish_ci';
$res_sql=mysql_query($sql_str,$link_vcrx);

upd_fld($xtmaes.'0',$xtmaes.'_codigo','varchar('.$xlongi.');','');
upd_fld($xtmaes.'0',$xtmaes.'_descri','varchar(50)','');
upd_fld($xtmaes.'0',$xtmaes.'_tipo','varchar(4)','');
upd_fld($xtmaes.'0',$xtmaes.'_status','char(1)','-');
upd_fld($xtmaes.'0',$xtmaes.'_iuser','varchar(10)','');
upd_fld($xtmaes.'0',$xtmaes.'_idate','datetime','');
upd_fld($xtmaes.'0',$xtmaes.'_lused','date','');

$sql_str='alter table '.$xtmaes.'0 drop primary key';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='alter table '.$xtmaes.'0 add primary key('.$xtmaes.'_codigo)';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='drop index codigo on '.$xtmaes.'0 ';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='drop index descri on '.$xtmaes.'0 ';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='create unique index codigo on  '.$xtmaes.'0('.$xtmaes.'_codigo)';
$res_sql=mysql_query($sql_str,$link_vcrx);

$sql_str='create index descri on  '.$xtmaes.'0('.$xtmaes.'_descri,'.$xtmaes.'_codigo)';
$res_sql=mysql_query($sql_str,$link_vcrx);

if (!mb_stristr('empr.user.usrt',$xtmaes))
	{
	$sql_str='insert into '.$xtmaes.'0('.$xtmaes.'_codigo,'.$xtmaes.'_descri)value("-","Default")';
	$res_sql=mysql_query($sql_str,$link_vcrx);
	
	}





?>

</table>

<?php
}
?>



<?php
function upd_fld($xtabla,$xfield,$xtype,$xdefa)
{
require('../cfg/res.php');	
mysql_query("SET NAMES 'utf8'");

?>
<tr style=" class="pdc_t1" align="left"<?php if($filax==3){echo 'border-bottom:dotted 1px #000;';$filax=1;}else{$filax++;} ?>">

<?php 
if ($xtype=='X')
	{
	$sql_str='alter table '.$xtabla.' drop column '.$xfield;
	$res_sql=mysql_query($sql_str,$link_vcrx);
	}
else
	{
	$sql_str='alter table '.$xtabla.' add column '.$xfield.' '.$xtype;
	$res_sql=mysql_query($sql_str,$link_vcrx);

	$sql_str='alter table '.$xtabla.' modify column '.$xfield.' '.$xtype;
	$res_sql=mysql_query($sql_str,$link_vcrx);
	}

if (!empty($xdefa) or $xdefa=='0')
	{
	$sql_str='alter table '.$xtabla.' alter column '.$xfield.' drop default';
	$res_sql=mysql_query($sql_str,$link_vcrx);

	if(mb_stristr($xtype,'char'))
		{
		$sql_str='alter table '.$xtabla.' alter column '.$xfield.' set default "'.$xdefa.'"';
		$res_sql=mysql_query($sql_str,$link_vcrx);

		$sql_str='update '.$xtabla.' set '.$xfield.'="'.$xdefa.'" where '.$xfield.' is null';
		$res_sql=mysql_query($sql_str,$link_vcrx);

		$sql_str='insert into '.$xfield.'0('.$xfield.'_codigo,'.$xfield.'_descri)value("'.$xdefa.'","_Default"';
		$res_sql=mysql_query($sql_str,$link_vcrx);
		}
	if(mb_stristr($xtype,'int')||mb_stristr($xtype,'deci'))
		{
		$sql_str='alter table '.$xtabla.' alter column '.$xfield.' set default '.$xdefa.'';
		$res_sql=mysql_query($sql_str,$link_vcrx);

		$sql_str='update '.$xtabla.' set '.$xfield.'='.$xdefa.' where '.$xfield.' is null';
		$res_sql=mysql_query($sql_str,$link_vcrx);
		}

	}

?>


<?php
echo '<th width="20%" align="center">'.$xtabla.'</th><th width="35%" align="left">'.$xfield.'</th><th width="35%" align="center">'.$xtype.'</th><th width="10%" align="center">'.$xdefa.'</th>';
?>
</tr>
<?php
}
?>